'use strict';
define([
  'angular',

  'widgets/mapapp/wflow/directives/wflowwidget',
  'widgets/mapapp/wflow/directives/toolbarwflow',

  'angular-strap',
  'angular-strap.tpl',

  'angular-route',

  'toastr',
  'ol3js',
  'ng-table',
], function(angular, wflowwidget, toolbarwflow) {
  // generation du module
  var gcwflow = angular.module('gc_wflow', [
    'mgcrea.ngStrap',
    'ngRoute',
    'pascalprecht.translate',
    'ngBonita',
  ]);
  // ajout service

  // ajout controller

  // ajout directive
  // modelwidget.directive('gcmodelwidgetdir',gc_scalelinedirectives);
  gcwflow.directive('wflowwidget', wflowwidget);
  gcwflow.directive('toolbarwflow', toolbarwflow);
  // ajout factory
  gcwflow.config(function(bonitaConfigProvider) {
    // Optional call to override Bonita URL setup
    bonitaConfigProvider.setBonitaUrl('http://localhost/bonita');
  });
  //route provider
  // config

  return gcwflow;
});
